package org.springblade.third.doordevice.feign;

import org.springblade.third.doordevice.entity.InstructPublishLog;
import org.springblade.third.doordevice.vo.InstructPublishLogVO;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class InstructPublishLogClientFallback implements IInstructPublishLogClient {
            /**
         * 详情
         */
        @Override
        public InstructPublishLogVO detail(InstructPublishLog instructPublishLog) {
            return null;
        }

        /**
         * 查询 指令推送记录
         */
        @Override
        public List<InstructPublishLogVO> list(InstructPublishLog instructPublishLog) {
            return null;
        }



        /**
         * 新增 指令推送记录
         */
        @Override
        public boolean save( InstructPublishLog instructPublishLog) {
            return false;
        }

        /**
         * 修改 指令推送记录
         */
        @Override
        public boolean update( InstructPublishLog instructPublishLog) {
            return false;
        }

        /**
         * 新增或修改 指令推送记录
         */
        @Override
        public boolean submit( InstructPublishLog instructPublishLog) {
            return false;
        }


        /**
         * 删除 指令推送记录
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
